// File: ExWeeds.pov
// Vers: 3.5
// Desc: Weeds/tall-grass macros example scene
// Date: 02/15/2003
// Auth: Jeremy Praay
#include "colors.inc"
#include "Weeds.inc"

camera {
  location <0,0,-3> 
  direction 2*z 
  up y 
  sky y 
  right x*4/3  
  look_at <0,0.5,0> 
}

light_source{0 White*2 translate <-200, 400, -300>}

// format
// makeWeedPatch(patchLength,patchWidth,numWeeds,devBend,numBladeRangeStart,numBladeRangeEnd,stalkHeight,devStalkHeight,devBladeRot, randSeed)

// lots of variance
object { 
  makeWeedPatch(10,10,20,0.2,3,10,35,0.6,0.3,seed(12))
  translate x*0.5
}
// little variance
object { 
  makeWeedPatch(10,10,20,0,6,8,35,0.05,0.6,seed(11))
  translate x*0
}
// from above views
// lots of variance
object { 
  makeWeedPatch(10,10,20,0.2,3,10,35,0.6,0.3,seed(12))
  translate x*-0.5
  rotate x*-90
}
// little variance
object { 
  makeWeedPatch(10,10,20,0,6,8,35,0.05,0.6,seed(11))
  translate x*-1
  rotate x*-90
  rotate z*-60
}

